## base-config 2.67ubuntu19

=== debian/changelog ===
base-config (2.67ubuntu19) breezy; urgency=low

  * Always list restricted, universe, and multiverse in (commented-out by
    default) backports line (closes: Ubuntu #15066).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  6 Oct 2005 10:44:58 +0100

base-config (2.67ubuntu18) breezy; urgency=low

  * Use type to check for usplash_write, not which.
  * Display "Configuring the base system..." in usplash if usplash is
    running.
  * Update Ubuntu-specific translations from Rosetta: Greek, Hungarian,
    Polish, Portuguese, Brazilian Portuguese, Slovak, Swedish.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  4 Oct 2005 14:05:46 +0100

base-config (2.67ubuntu17) breezy; urgency=low

  * Use archive.ubuntu.com for deb-src lines corresponding to
    ports.ubuntu.com deb lines (closes: Ubuntu #16461).
  * Update French translation (thanks, Sebastien Bacher).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 28 Sep 2005 17:16:02 +0100

base-config (2.67ubuntu16) breezy; urgency=low

  * Fix the length of the X-preconfiguration part of pkgsel's progress bar.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 20 Sep 2005 20:26:25 +0100

base-config (2.67ubuntu15) breezy; urgency=low

  * Update Ubuntu-specific translations from Rosetta: Greek, Spanish,
    Finnish, French, Hungarian, Macedonian, Portuguese, Brazilian
    Portuguese, Slovak.
  * Restore old translations of base-config/install-problem from Debian:
    Greek, Hungarian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 19 Sep 2005 19:11:33 +0100

base-config (2.67ubuntu14) breezy; urgency=low

  * Add commented-out backports lines to default sources.list (closes:
    Ubuntu #15066).
  * Redirect aptitude's stdin from /dev/null to make sure it never tries to
    get console input while running inside a progress bar.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Sep 2005 07:59:14 +0100

base-config (2.67ubuntu13) breezy; urgency=low

  * Only make usplash go away when running on the Linux console, and switch
    to tty1 before doing so.
  * Use more sensible usplash_write arguments, which it now supports.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  5 Sep 2005 15:04:48 +0100

base-config (2.67ubuntu12) breezy; urgency=low

  * Correct Ubuntu-specific Spanish translation of "Checking for CD-ROM..."
    (closes: Ubuntu #14482).
  * Update progress bar before running 'apt-get update' (closes: Ubuntu
    #14444).
  * Add ug and wo to base-config/language-packs choices.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  2 Sep 2005 13:48:15 +0100

base-config (2.67ubuntu11) breezy; urgency=low

  * Stop /etc/cron.daily/apt from messing with the apt cache while pkgsel is
    running.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  1 Sep 2005 18:06:18 +0100

base-config (2.67ubuntu10) breezy; urgency=low

  * If usplash is installed, make the splash screen go away on startup.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 12 Aug 2005 00:22:45 +0100

base-config (2.67ubuntu9) breezy; urgency=low

  * Display a single large progress bar rather than several smaller ones.
  * Multiply all progress waypoints by 10 to get better granularity.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  9 Aug 2005 13:05:18 +0100

base-config (2.67ubuntu8) breezy; urgency=low

  * Explicitly stop the progress bar debconf frontend, to avoid hanging due
    to daemons holding debconf file descriptors open.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  9 Aug 2005 03:05:01 +0100

base-config (2.67ubuntu7) breezy; urgency=low

  * Display progress bars when installing hardware autodetection packages
    and popularity-contest.
  * archive-copier copies language packs as part of ship, not desktop, so
    move the ship cache into /var/cache/apt/archives before attempting to
    install them.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat,  6 Aug 2005 14:02:25 +0100

base-config (2.67ubuntu6) breezy; urgency=low

  * Install language-pack-gnome-$LL as well as language-pack-$LL by default.
    Kubuntu and Edubuntu will override this by preseeding.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  5 Aug 2005 22:44:40 +0100

base-config (2.67ubuntu5) breezy; urgency=low

  * Mark pending update notifications as seen at the end of pkgsel rather
    than at the start of finish.
  * Stop installing mdetect; xorg 6.8.2-44 no longer uses it.
  * Wrap most package installation operations in progress bars. Requires
    debconf 1.4.56 and apt 0.6.40.
  * Now that pkgsel uses debconf almost throughout, it's difficult to drop
    back to aptitude when things fail. Fortunately, a number of people
    disliked that behaviour anyway, so we no longer do that. If there's a
    failure, you can either try re-running pkgsel from the base-config menu
    or else recover manually.
  * Display a progress bar while registering documentation.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  5 Aug 2005 18:24:08 +0100

base-config (2.67ubuntu4) breezy; urgency=low

  * $NONINTERACTIVE was renamed to $NEW in apt-setup. Adjust Ubuntu changes
    to cope.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Jul 2005 12:23:45 +0100

base-config (2.67ubuntu3) breezy; urgency=low

  * We only really support installing the default suite, so never ask
    mirror/suite, and mark it untranslatable. This removes two strings that
    are awkward for derivatives to brand. Advanced users can preseed
    mirror/suite if they really don't want to go with the default.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Jul 2005 19:45:29 +0100

base-config (2.67ubuntu2) breezy; urgency=low

  * Fix reversed apt-cdrom logic in apt-setup.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Jul 2005 13:19:24 +0100

base-config (2.67ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.
  * Drop obsolete tzsetup-udeb dependency on zoneinfo-udeb.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 18 Jul 2005 16:22:23 +0100

base-config (2.67) unstable; urgency=low

  [ Joey Hess ]


## base-config 2.67ubuntu20

=== po/Makefile ===
POFILES=$(wildcard *.po)
MOFILES=$(POFILES:.po=.mo)
EXECUTABLES=$(shell find .. -perm +111 -type f)

all: transition-copies base-config.pot $(MOFILES)

transition-copies: no.mo
# Make sure no.po and nb.po are identical, while we change the install
# base to use nb_NO instead of no_NO.  Only nb.po should be
# translated, but no.mo should be installed. [pere 2003-12-20]
no.po: nb.po
	cp nb.po no.po

install: all
	for file in $(MOFILES); do \
		lang=`echo $$file | sed 's/\.mo//'`; \
		install -d $(prefix)/usr/share/locale/$$lang/LC_MESSAGES/; \
		install -m 0644 $$file $(prefix)/usr/share/locale/$$lang/LC_MESSAGES/base-config.mo; \
	done

base-config.pot: $(EXECUTABLES)
	@echo "Rebuilding the pot file"
	rm -f base-config.pot tmp.*.pot
	cnt=0;								\
	for file in $(EXECUTABLES); do			\
		cnt=$$(expr $$cnt + 1);					\
		bn=$$cnt.`basename $$file`;					\
		if head -n 1 $$file | grep -q bin/sh ; then		\
			xgettext -c -L Shell -o tmp.$$bn.pot $$file;	\
		elif head -n 1 $$file | grep -q perl ; then		\
			xgettext -c -L C -o tmp.$$bn.pot $$file;	\
		fi;							\
	done
	msgcat tmp.*.pot > base-config.pot
	rm -f tmp.*.pot

clean:
	rm -f $(MOFILES) messages messages.mo
	rm -f no.po # norwegian bokmal transition copy

%.mo: %.po
	msgfmt -o $@ $<

%.po: base-config.pot
	@echo -n "Merging base-config.pot and $@"
	@msgmerge $@ base-config.pot -o $@.new
# Typically all that changes was a date. I'd prefer not to commit such
# changes, so detect and ignore them.
	@if [ "`diff $@ $@.new | grep '[<>]' | wc -l`" -ne 2 ]; then \
		mv -f $@.new $@; \
	else \
		rm -f $@.new; \
	fi
	@msgfmt --statistics $@

check:
	@for file in $(POFILES); do \
		lang=`echo $$file | sed 's/\.po//'`; \
		printf "$$lang: "; \
		msgfmt -o /dev/null -c -v --statistics $$lang.po;\
	done

=== debian/changelog ===
base-config (2.67ubuntu20) breezy-security; urgency=low

  * Tidy up after Malone bug #34606, which left passwords exposed in
    /var/log/installer/cdebconf/questions.dat, by removing those passwords
    when base-config runs; for good measure, make
    /var/log/installer/cdebconf/* world-unreadable if this bug is detected.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 12 Mar 2006 22:28:05 +0000

=== debian/control ===
Source: base-config
Section: base
Priority: important
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 4.2), po-debconf, gettext (>= 0.13)
Standards-Version: 3.6.1.0

Package: base-config
Architecture: all
Depends: debconf (>= 1.4.56), apt (>= 0.6.40), adduser, console-data (>= 2002.12.04dbs-16), console-tools, passwd (>= 20000902-6), bsdutils (>= 1:2.11l), debianutils (>= 1.6), gettext-base
Conflicts: tasksel (<< 2.25)
Description: Debian base system configurator
 This package handles setting up the Debian base system. It contains the
 configuration program you see when you install Debian for the first time
 and boot up your new Debian system.
 .
 It can be removed with no ill effects -- once your Debian system is
 installed, this package's only useful function is to allow you to
 reconfigure some things.

Package: tzsetup-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: standard
Architecture: all
Depends: cdebconf-udeb (>= 0.78), di-utils (>= 1.08ubuntu7), target-base-system, os-prober, rtc-modules
XB-Installer-Menu-Item: 70
Description: Configure timezone
 This package configures the installed system's timezone. (If this package
 isn't used, base-config will do the same job after the first reboot.)

Package: apt-setup-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: standard
Architecture: all
Depends: cdebconf-udeb (>= 0.78), di-utils (>= 1.08ubuntu7), target-base-system
XB-Installer-Menu-Item: 72
Description: Configure apt
 This package configures the APT package manager in the installed system.
 (If this package isn't used, base-config will do the same job after the
 first reboot.)

=== debian/rules ===
#!/usr/bin/make -f

MASTERLIST=Mirrors.masterlist.ubuntu

build:
ifdef CVSGET
	# Freshen Mirrors.masterlist file, but allow failure.
	if [ "$$ONLINE" != n ]; then \
		if $(CVSGET) > $(MASTERLIST).new \
		   && [ -s "$(MASTERLIST).new" ]; then \
			mv -f $(MASTERLIST).new $(MASTERLIST); \
		else \
			rm -f $(MASTERLIST).new; \
		fi; \
	fi
endif

	$(MAKE) -C po

clean:
	dh_testdir
	dh_testroot
	dh_clean
	make -C po clean
ifdef CVSGET
	if [ ! -s "$(MASTERLIST)" ]; then \
		$(CVSGET) > $(MASTERLIST); \
	fi
endif

install: build
	dh_testdir
	dh_testroot
	dh_clean -k

	dh_installdirs -pbase-config usr/share/lintian/overrides
	cp debian/lintian-override debian/base-config/usr/share/lintian/overrides/base-config
	dh_install -pbase-config apt-setup tzsetup base-config termwrap validlocale usr/sbin/
	dh_install -pbase-config lib/* usr/lib/base-config/
	install -m644 $(MASTERLIST) debian/base-config/usr/lib/base-config/Mirrors.masterlist
	make -C po install prefix=`pwd`/debian/base-config

	dh_installdirs -ptzsetup-udeb

	dh_installdirs -papt-setup-udeb

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf -pbase-config
	dh_installdebconf -ptzsetup-udeb -- --encoding=utf8
	dh_installdebconf -papt-setup-udeb -- --encoding=utf8

	# Merge in all templates.
	echo >> debian/base-config/DEBIAN/templates
	po2debconf --podir=debian/po apt-setup.templates >> debian/base-config/DEBIAN/templates
	echo >> debian/base-config/DEBIAN/templates
	po2debconf --podir=debian/po tzsetup.templates >> debian/base-config/DEBIAN/templates

	dh_installdocs
	dh_installman *.8
	dh_installinfo
	dh_installchangelogs
	dh_installlogrotate
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-indep: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## base-config 2.76

=== debian/changelog ===
base-config (2.76) unstable; urgency=low

  In with the new year and out with the old.. and the end of base-config.
  
  * Remove everything from the package except for some debconf cleanup stuff
    in the postinst and the existing log removal code in the postrm.
    Closes: #319926 - no longer depends on anything
    Closes: #270720 - no longer displays messages
    Closes: #319521 - no longer starts a display manager or anything
    Closes: #243565 - no longer includes problem program
    Closes: #249235 - no longer runs tasksel
    Closes: #275552, #246525 - no longer displays debconf screens
    Closes: #312123 - no longer configures apt
    Closes: #321638 - no longer supports menu entries
    Closes: #306745 - no longer contains said text
    Closes: #232355 - localechooser takes care of setting locale settings
    Closes: #237531 - no longer a second stage so this is basically irrelevant
    Closes: #326109 - no longer involved in X startup; gdm should do this
    anyway
    Closes: #333806, #333807 - no longer contains translatable material
  * This package will be removed from Debian after the next d-i release,
    and you can remove it now..

 -- Joey Hess <joeyh@debian.org>  Sat, 31 Dec 2005 16:27:42 -0500

base-config (2.75) unstable; urgency=low

  The "death march" release.

  [ Joey Hess ]
  * Adjust section to match overrides.

  [ Colin Watson ]
  * Exclude backup files and files under debian/ from the po build system,
    and make sure executables are processed in a consistent order to avoid
    lots of diff noise.
  * Copy passwd/username, so that e.g. exim4-config still works after user
    configuration moves to d-i (closes: #341130).

  [ Joey Hess ]
  * Remove the passwd reconfiguration code, user-setup handles this now in
    d-i.
  * Clean up the intro message to not mention stuff that the ever-shrinking
    base-config no longer does.

  [ Translations ]
  * add Bengali translations (Progga <progga@BengaLinux.Org>)
  * Updated Brazilian Portuguese translation.
  * Updated French translation.
  * Updated Galician translation.
  * Updated Spanish translation.
  * Updated Czech translation.
  * Updated Vietnamese translation. Closes: #343844
  * Updated Swedish translation. Closes: #344055

  [ Man pages translations ]
  * Updated Spanish. Closes: #341456

  [ Joey Hess ]
  * Drop debconf/priority propigation from d-i as d-i no longer propigates it.
    Closes: #228839, #245164
  * Depends on debconf 1.4.61, since this is the first version to default
    the priority to high, which is the priority we need with this change.
    Closes: #228839, #245164
  * Remove debconf-seed menu item, mostly, taken over by preseed 1.11.
    Closes: #276638
    NOTE NOTE NOTE: This means that base-config/early_command is removed.
  * Remove base-config/late_command too, for consistency.
  * pkgsel moved into a udeb. Closes: #240700, #242718, #256315, #259871
    Closes: #247037
  * MTA reconfiguration is not necessary with current debootstrap, since
    no MTA is installed as part of the base system, so the user will see the
    MTA question as usual if their task selection/whatever causes a MTA to be
    installed.
  * The pon menu item is not useful, since base-config no longer accesses the
    net to install packages. Closes: #299554
  * Remove GDM language fixup code, since bug #265101 got fixed.
  * base-config no longer does anything with the network.
    Closes: #106875, #265908, #267242
  * Some other bugs that no longer apply due to removed code in base-config:
    Closes: #246880, #275543
  * Remove d-i debconf variable copying code, now handled by pkgsel.
  * base-config program left in for compatability with old d-i's and such for
    now, but it's essentially a no-op and everything has moved into d-i.
    (d-i also still uses validlocale from this package for now.)
    Next step will be removing this package entirely...

 -- Joey Hess <joeyh@debian.org>  Wed, 21 Dec 2005 15:55:07 -0500

base-config (2.74) unstable; urgency=low

  [ Joey Hess ]
  * Finish removing tzsetup.templates.

  [ Program translations ]
  * update Italian translations (Giuseppe Sacco)
  * update Russian translations po/ru.po by Yuri Kozlov. Closes: #334249
  * update Swedish translation (Daniel Nylander)
  * update Ukrainian translation (Eugeniy Meshcheryakov)
  * update Galician translation (Jacobo Tarrio)

  [ Translation update ]
  * update Swedish translation (Daniel Nylander)
  * update Italian translation (Giuseppe Sacco)

  [ Man pages translation update ]
  * update Polish translation (Robert Luberda). Closes: #335422
  * update Brazilian Portuguese translation (team work)
  * update French translation (Clément Sténac). Closes: #337310

  [ Joey Hess ]
  * Patch from Thomas Huriaux to switch to po4a for manpage translations.
    Closes: #334499
    Note that this fuzzies all man page translations except French; they will
    need to be checked and unfuzzied.

  [ Colin Watson ]
  * Update installer-integration.txt for various old changes and tzsetup
    removal.
  * Remove base-config/menu/timezone template, no longer used.

  [ Christian Perrier ]
  * Remove reference to an unknown file in debian/po/POTFILES.in

  [ Joey Hess ]
  * Remove apt-setup, moved to udeb.
  * No longer copies debian-installer/country and mirror/* from the d-i
    debconf db.
  * Remove keymap setup code, this has been done by kbd-chooser for a long
    time and is redundant.
  * Remove .cvsignore files.
  * Remove hostname setup code. While netcfg is not mandatory in d-i and so
    this code still has some use in edge cases, netcfg *is* run by default in
    all installs, and so the edge cases doen't really justify the code. d-i
    does set a fallback hostname of "localhost" if the user somehow skips
    netcfg.

 -- Joey Hess <joeyh@debian.org>  Mon, 14 Nov 2005 20:56:30 -0500

base-config (2.73) unstable; urgency=medium

  [ Program translations ]
  * French updated by Christian Perrier


=== debian/control ===
Source: base-config
Section: admin
Priority: important
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 4.1.13)
Standards-Version: 3.6.2

Package: base-config
Architecture: all
Depends: ${misc:Depends}
Conflicts: tasksel (<< 2.25)
Description: Debian base system configurator (transitional version)
 This package is an empty package that is no longer used. It can be removed
 with no ill effects.

=== debian/rules ===
#!/usr/bin/make -f

build:

clean:
	dh_testdir
	dh_testroot
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
	dh_installman
	dh_installinfo
	dh_installchangelogs
	dh_installlogrotate
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
